aboutsummaryrefslogtreecommitdiffstats
path: root/extra/aumix/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-18 07:55:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-18 07:55:30 +0000
commit7b633aa09456d24cc920accb5cc4a2a6039a1f22 (patch)
treea2b075e301c05ba32db8d0055a820a5643c64931 /extra/aumix/APKBUILD
parent7f63f7e479137791ae6a77a8e413a35613bcf021 (diff)
downloadaports-7b633aa09456d24cc920accb5cc4a2a6039a1f22.tar.gz
aports-7b633aa09456d24cc920accb5cc4a2a6039a1f22.tar.bz2
aports-7b633aa09456d24cc920accb5cc4a2a6039a1f22.tar.xz
extra/aumix: new aport
uclibc ncurses ncurses-terminfo ncurses-dev
Diffstat (limited to 'extra/aumix/APKBUILD')
-rw-r--r--extra/aumix/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/extra/aumix/APKBUILD b/extra/aumix/APKBUILD
new file mode 100644
index 0000000000..034613b725
--- /dev/null
+++ b/extra/aumix/APKBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=aumix
+pkgver=2.8
+pkgrel=0
+pkgdesc="A color text mode sound mixer"
+url="http://www.jpj.net/~trevor/aumix.html"
+license="GPL"
+depends="uclibc ncurses ncurses-terminfo"
+makedepends="ncurses-dev"
+source="http://jpj.net/~trevor/aumix/aumix-$pkgver.tar.bz2
+ aumix-2.8-mute.patch
+ aumix-2.8-nohome.patch
+ aumix-2.8-save_load.patch
+ aumix.initd
+ "
+
+build() {
+ cd "$srcdir"/aumix-$pkgver
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 < $i || return 1
+ done
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --without-gtk1 \
+ --without-gtk \
+ --disable-nls
+
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/aumix
+}
+md5sums="dc3fc7209752207c23e7c94ab886b340 aumix-2.8.tar.bz2
+3611c0372870a0ad67630231fe576e32 aumix-2.8-mute.patch
+6c8d691beb495257d8309e58c127acd2 aumix-2.8-nohome.patch
+113377f0f69925467a5a5b633a78160c aumix-2.8-save_load.patch
+affaa735ad9b65a540842994caba18fd aumix.initd"